Bug 3486 - Checkout timeout button
Summary: Checkout timeout button
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-03 12:01 UTC by Jane Wagner
Modified: 2012-10-26 00:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Timeout prompt screenshot (21.46 KB, image/jpeg)
2009-08-03 12:01 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:16 UTC


---- Reported by jwagner@ptfs.com 2009-08-03 12:01:40 ----

Created an attachment
Timeout prompt screenshot

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

Add a popup prompt to clear the checkout screen after an amount of time specified in seconds in the syspref CheckoutTimeout.  (Entering no value in that syspref disables the feature.)



---- Additional Comments From jwagner@ptfs.com 2010-05-12 12:40:28 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3486





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3486 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3486
Imported an attachment (id=1351)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
The original submitter of attachment 1351 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-31 17:38:12 UTC
I don't understand what problem this solves. It doesn't solve a privacy issue, because another person walking up to the computer to find this prompt can just hit 'Cancel.' It doesn't save the user any clicks--if you want to check out to a new patron you don't have to clear the screen, you just have to scan a new barcode into the form at the top.
Comment 2 Paul Poulain 2011-03-22 10:27:49 UTC
I can't find the patch on mailing list, github/koha-PTFS seems unavailable now.
Removing "needs signoff", marking "resolved - later", Jane, if you still have
the patch somewhere, pls reopen this bug
Comment 3 Paul Poulain 2011-03-22 11:25:00 UTC
patch available on: https://github.com/ptfs/Koha-PTFS
Comment 4 Nicole C. Engard 2011-03-22 21:05:41 UTC
A patch needs to be submitted based on master for this - and either a link
right to the patch or an attached patch is necessary.

Nicole